#import discord
import secrets
from discord.ext import commands
import local_settings as settings


class Admin(commands.Cog):
	"""Administrative functionality."""

	def __init__(self, bot: commands.Bot):
		self.bot = bot

	@commands.command(
		description="Modify channel settings",
		brief="Set channel specific settings via the webgui",
		help="Sends a single-use time based token to the webportal"
	)
	async def chanset(self, ctx: commands.Context, *, text: str):
		pass
		token = secrets.token_urlsafe(40)[:40]
		# Check for active token
		# Upsert token 
		#await "%s://%s/foo/%s", setting.WEB_SCHEME, setting.WEB_HOST, token